gtkmm: Gtk::Entry Class Reference

gtkmm 2.24.5

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::Entry Class Reference
Widgets

A single line text entry field. More...

Inheritance diagram for Gtk::Entry:
[legend]
Collaboration diagram for Gtk::Entry:
[legend]

## Public Member Functions
virtual | ~Entry ()
GtkEntry* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkEntry* | gobj () const
| Provides access to the underlying C GtkObject. More...
| Entry ()
| Entry (const Glib::RefPtr< EntryBuffer >& buffer)
Glib::RefPtr< EntryBuffer > | get_buffer ()
| Get the Gtk::EntryBuffer object which holds the text for this widget. More...
Glib::RefPtr< const EntryBuffer > | get_buffer () const
| Get the Gtk::EntryBuffer object which holds the text for this widget. More...
void | set_buffer (const Glib::RefPtr< EntryBuffer >& buffer)
| Set the Gtk::EntryBuffer object which holds the text for this widget. More...
Glib::RefPtr< Gdk::Window > | get_text_window ()
| Returns the Gdk::Window which contains the text. More...
Glib::RefPtr< const Gdk::Window > | get_text_window () const
| Returns the Gdk::Window which contains the text. More...
void | set_visibility (bool visible=true)
| Sets whether the contents of the entry are visible or not. More...
bool | get_visibility () const
| Retrieves whether the text in entry is visible. More...
void | set_invisible_char (gunichar ch)
| Sets the character to use in place of the actual text when set_visibility() has been called to set text visibility to `false`. More...
void | unset_invisible_char ()
| Unsets the invisible char previously set with set_invisible_char(). More...
gunichar | get_invisible_char () const
| Retrieves the character displayed in place of the real characters for entries with visibility set to false. More...
void | set_has_frame (bool setting=true)
| Sets whether the entry has a beveled frame around it. More...
bool | get_has_frame () const
| Gets the value set by set_has_frame(). More...
void | set_inner_border (const Border& border)
| Sets entry's inner-border property to border, or clears it if `nullptr` is passed. More...
Border | get_inner_border () const
| This function returns the entry's Gtk::Entry::property_inner_border() property. More...
void | set_overwrite_mode (bool overwrite=true)
| Sets whether the text is overwritten when typing in the Gtk::Entry. More...
bool | get_overwrite_mode () const
| Gets the value set by set_overwrite_mode(). More...
void | set_max_length (int max)
| Sets the maximum allowed length of the contents of the widget. More...
int | get_max_length () const
| Retrieves the maximum allowed length of the text in entry. More...
guint16 | get_text_length () const
| Retrieves the current length of the text in entry. More...
void | set_activates_default (bool setting=true)
| If setting is `true`, pressing Enter in the entry will activate the default widget for the window containing the entry. More...
gboolean | get_activates_default () const
| Retrieves the value set by set_activates_default(). More...
void | set_width_chars (int n_chars)
| Changes the size request of the entry to be about the right size for n_chars characters. More...
int | get_width_chars () const
| Gets the value set by set_width_chars(). More...
void | set_text (const Glib::ustring& text)
| Sets the text in the widget to the given value, replacing the current contents. More...
Glib::ustring | get_text () const
| Retrieves the contents of the entry widget. More...
Glib::RefPtr< Pango::Layout > | get_layout ()
| Gets the Pango::Layout used to display the entry. More...
Glib::RefPtr< const Pango::Layout > | get_layout () const
| Gets the Pango::Layout used to display the entry. More...
void | get_layout_offsets (int& x, int& y)
| Obtains the position of the Pango::Layout used to render text in the entry, in widget coordinates. More...
int | layout_index_to_text_index (int layout_index) const
| Converts from a position in the entry contents (returned by get_text()) to a position in the entry's Pango::Layout (returned by get_layout(), with text retrieved via pango_layout_get_text()). More...
int | text_index_to_layout_index (int text_index) const
| Converts from a position in the entry's Pango::Layout (returned by get_layout()) to a position in the entry contents (returned by get_text()). More...
void | set_cursor_hadjustment (Adjustment& adjustment)
| Hooks up an adjustment to the cursor position in an entry, so that when the cursor is moved, the adjustment is scrolled to show that position. More...
Adjustment* | get_cursor_hadjustment ()
| Retrieves the horizontal cursor adjustment for the entry. More...
const Adjustment* | get_cursor_hadjustment () const
| Retrieves the horizontal cursor adjustment for the entry. More...
void | set_alignment (float xalign)
| Sets the alignment for the contents of the entry. More...
void | set_alignment (AlignmentEnum xalign)
| Sets the alignment for the contents of the entry. More...
float | get_alignment () const
| Gets the value set by set_alignment(). More...
void | set_completion (const Glib::RefPtr< EntryCompletion >& completion)
| Sets completion to be the auxiliary completion object to use with entry. More...
Glib::RefPtr< EntryCompletion > | get_completion ()
| Returns the auxiliary completion object currently in use by entry. More...
Glib::RefPtr< const EntryCompletion > | get_completion () const
| Returns the auxiliary completion object currently in use by entry. More...
void | set_progress_fraction (double fraction)
| Causes the entry's progress indicator to "fill in" the given fraction of the bar. More...
double | get_progress_fraction () const
| Returns the current fraction of the task that's been completed. More...
void | set_progress_pulse_step (double fraction)
| Sets the fraction of total entry width to move the progress bouncing block for each call to progress_pulse(). More...
double | get_progress_pulse_step ()
| Retrieves the pulse step set with set_progress_pulse_step(). More...
void | progress_pulse ()
| Indicates that some progress is made, but you don't know how much. More...
void | set_icon_from_pixbuf (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets the icon shown in the specified position using a pixbuf. More...
void | set_icon_from_stock (const StockID& stock_id, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets the icon shown in the entry at the specified position from a stock image. More...
void | set_icon_from_icon_name (const Glib::ustring& icon_name, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets the icon shown in the entry at the specified position from the current icon theme. More...
void | set_icon_from_gicon (const Glib::RefPtr< Gio::Icon >& icon, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets the icon shown in the entry at the specified position from the current icon theme. More...
ImageType | get_icon_storage_type (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Gets the type of representation being used by the icon to store image data. More...
Glib::RefPtr< Gdk::Pixbuf > | get_icon_pixbuf (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Retrieves the image used for the icon. More...
Glib::RefPtr< const Gdk::Pixbuf > | get_icon_pixbuf (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Retrieves the image used for the icon. More...
StockID | get_icon_stock (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Retrieves the stock id used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by pixbuf, icon name or gicon). More...
Glib::ustring | get_icon_name (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Retrieves the icon name used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by pixbuf, stock or gicon). More...
Glib::RefPtr< Gio::Icon > | get_icon_gicon (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Retrieves the Icon used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by stock, pixbuf, or icon name). More...
Glib::RefPtr< const Gio::Icon > | get_icon_gicon (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Retrieves the Icon used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by stock, pixbuf, or icon name). More...
void | set_icon_activatable (bool activatable=true, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets whether the icon is activatable. More...
bool | get_icon_activatable (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Returns whether the icon is activatable. More...
void | set_icon_sensitive (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY, bool sensitive=true)
| Sets the sensitivity for the specified icon. More...
bool | get_icon_sensitive (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Returns whether the icon appears sensitive or insensitive. More...
int | get_icon_at_pos (int x, int y) const
| Finds the icon at the given position and return its index. More...
void | set_icon_tooltip_text (const Glib::ustring& tooltip, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets tooltip as the contents of the tooltip for the icon at the specified position. More...
Glib::ustring | get_icon_tooltip_text (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Gets the contents of the tooltip on the icon at the specified position in entry. More...
void | set_icon_tooltip_markup (const Glib::ustring& tooltip, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets tooltip as the contents of the tooltip for the icon at the specified position. More...
Glib::ustring | get_icon_tooltip_markup (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Gets the contents of the tooltip on the icon at the specified position in entry. More...
void | set_icon_drag_source (const Glib::RefPtr< TargetList >& target_list, Gdk::DragAction actions=Gdk::ACTION_COPY, EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Sets up the icon at the given position so that GTK+ will start a drag operation when the user clicks and drags the icon. More...
int | get_current_icon_drag_source ()
| Returns the index of the icon which is the source of the current DND operation, or -1. More...
Glib::RefPtr< Gdk::Window > | get_icon_window (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY)
| Returns the Gdk::Window which contains the entry's icon at icon_pos. More...
Glib::RefPtr< const Gdk::Window > | get_icon_window (EntryIconPosition icon_pos=ENTRY_ICON_PRIMARY) const
| Returns the Gdk::Window which contains the entry's icon at icon_pos. More...
bool | im_context_filter_keypress (GdkEventKey*event)
| Allow the Gtk::Entry input method to internally handle key press and release events. More...
void | reset_im_context ()
| Reset the input method context of the entry if needed. More...
Glib::SignalProxy< void, Menu*> | signal_populate_popup ()
Glib::SignalProxy< void, const Glib::ustring&> | signal_insert_at_cursor ()
Glib::SignalProxy< void > | signal_activate ()
Glib::SignalProxy< void, EntryIconPosition, const GdkEventButton*> | signal_icon_release ()
Glib::SignalProxy< void, EntryIconPosition, const GdkEventButton*> | signal_icon_press ()
Glib::PropertyProxy< Glib::RefPtr< EntryBuffer > > | property_buffer ()
| Text buffer object which actually stores entry text. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< EntryBuffer > > | property_buffer () const
| Text buffer object which actually stores entry text. More...
Glib::PropertyProxy_ReadOnly< int > | property_cursor_position () const
| The current position of the insertion cursor in chars. More...
Glib::PropertyProxy_ReadOnly< int > | property_selection_bound () const
| The position of the opposite end of the selection from the cursor in chars. More...
Glib::PropertyProxy< bool > | property_editable ()
| Whether the entry contents can be edited. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
| Whether the entry contents can be edited. More...
Glib::PropertyProxy< int > | property_max_length ()
| Maximum number of characters for this entry. More...
Glib::PropertyProxy_ReadOnly< int > | property_max_length () const
| Maximum number of characters for this entry. More...
Glib::PropertyProxy< bool > | property_visibility ()
| `false` displays the 'invisible char' instead of the actual text (password mode). More...
Glib::PropertyProxy_ReadOnly< bool > | property_visibility () const
| `false` displays the 'invisible char' instead of the actual text (password mode). More...
Glib::PropertyProxy< bool > | property_has_frame ()
| `false` removes outside bevel from entry. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_frame () const
| `false` removes outside bevel from entry. More...
Glib::PropertyProxy< Border > | property_inner_border ()
| Border between text and frame. More...
Glib::PropertyProxy_ReadOnly< Border > | property_inner_border () const
| Border between text and frame. More...
Glib::PropertyProxy< gunichar > | property_invisible_char ()
| The character to use when masking entry contents (in 'password mode'). More...
Glib::PropertyProxy_ReadOnly< gunichar > | property_invisible_char () const
| The character to use when masking entry contents (in 'password mode'). More...
Glib::PropertyProxy< bool > | property_invisible_char_set ()
| Whether the invisible char has been set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_invisible_char_set () const
| Whether the invisible char has been set. More...
Glib::PropertyProxy< bool > | property_activates_default ()
| Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_activates_default () const
| Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed. More...
Glib::PropertyProxy< int > | property_width_chars ()
| Number of characters to leave space for in the entry. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_chars () const
| Number of characters to leave space for in the entry. More...
Glib::PropertyProxy_ReadOnly< int > | property_scroll_offset () const
| Number of pixels of the entry scrolled off the screen to the left. More...
Glib::PropertyProxy< ShadowType > | property_shadow_type ()
| Which kind of shadow to draw around the entry when has-frame is set. More...
Glib::PropertyProxy_ReadOnly< ShadowType > | property_shadow_type () const
| Which kind of shadow to draw around the entry when has-frame is set. More...
Glib::PropertyProxy< Glib::ustring > | property_text ()
| The contents of the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| The contents of the entry. More...
Glib::PropertyProxy< float > | property_xalign ()
| The horizontal alignment, from 0 (left) to 1 (right). More...
Glib::PropertyProxy_ReadOnly< float > | property_xalign () const
| The horizontal alignment, from 0 (left) to 1 (right). More...
Glib::PropertyProxy< bool > | property_truncate_multiline ()
| Whether to truncate multiline pastes to one line. More...
Glib::PropertyProxy_ReadOnly< bool > | property_truncate_multiline () const
| Whether to truncate multiline pastes to one line. More...
Glib::PropertyProxy< bool > | property_overwrite_mode ()
| Whether new text overwrites existing text. More...
Glib::PropertyProxy_ReadOnly< bool > | property_overwrite_mode () const
| Whether new text overwrites existing text. More...
Glib::PropertyProxy_ReadOnly< guint > | property_text_length () const
| Length of the text currently in the entry. More...
Glib::PropertyProxy< bool > | property_caps_lock_warning ()
| Whether password entries will show a warning when Caps Lock is on. More...
Glib::PropertyProxy_ReadOnly< bool > | property_caps_lock_warning () const
| Whether password entries will show a warning when Caps Lock is on. More...
Glib::PropertyProxy< double > | property_progress_fraction ()
| The current fraction of the task that's been completed. More...
Glib::PropertyProxy_ReadOnly< double > | property_progress_fraction () const
| The current fraction of the task that's been completed. More...
Glib::PropertyProxy< double > | property_progress_pulse_step ()
| The fraction of total entry width to move the progress bouncing block for each call to Gtk::Entry::progress_pulse(). More...
Glib::PropertyProxy_ReadOnly< double > | property_progress_pulse_step () const
| The fraction of total entry width to move the progress bouncing block for each call to Gtk::Entry::progress_pulse(). More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_primary_icon_pixbuf ()
| Primary pixbuf for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_primary_icon_pixbuf () const
| Primary pixbuf for the entry. More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_secondary_icon_pixbuf ()
| Secondary pixbuf for the entry. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_secondary_icon_pixbuf () const
| Secondary pixbuf for the entry. More...
Glib::PropertyProxy< StockID > | property_primary_icon_stock ()
| Stock ID for primary icon. More...
Glib::PropertyProxy_ReadOnly< StockID > | property_primary_icon_stock () const
| Stock ID for primary icon. More...
Glib::PropertyProxy< StockID > | property_secondary_icon_stock ()
| Stock ID for secondary icon. More...
Glib::PropertyProxy_ReadOnly< StockID > | property_secondary_icon_stock () const
| Stock ID for secondary icon. More...
Glib::PropertyProxy< Glib::ustring > | property_primary_icon_name ()
| Icon name for primary icon. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_primary_icon_name () const
| Icon name for primary icon. More...
Glib::PropertyProxy< Glib::ustring > | property_secondary_icon_name ()
| Icon name for secondary icon. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_secondary_icon_name () const
| Icon name for secondary icon. More...
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_primary_icon_gicon ()
| GIcon for primary icon. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_primary_icon_gicon () const
| GIcon for primary icon. More...
Glib::PropertyProxy< Glib::RefPtr< Gio::Icon > > | property_secondary_icon_gicon ()
| GIcon for secondary icon. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gio::Icon > > | property_secondary_icon_gicon () const
| GIcon for secondary icon. More...
Glib::PropertyProxy_ReadOnly< ImageType > | property_primary_icon_storage_type () const
| The representation being used for primary icon. More...
Glib::PropertyProxy_ReadOnly< ImageType > | property_secondary_icon_storage_type () const
| The representation being used for secondary icon. More...
Glib::PropertyProxy< bool > | property_primary_icon_activatable ()
| Whether the primary icon is activatable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_activatable () const
| Whether the primary icon is activatable. More...
Glib::PropertyProxy< bool > | property_secondary_icon_activatable ()
| Whether the secondary icon is activatable. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_activatable () const
| Whether the secondary icon is activatable. More...
Glib::PropertyProxy< bool > | property_primary_icon_sensitive ()
| Whether the primary icon is sensitive. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_sensitive () const
| Whether the primary icon is sensitive. More...
Glib::PropertyProxy< bool > | property_secondary_icon_sensitive ()
| Whether the secondary icon is sensitive. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_sensitive () const
| Whether the secondary icon is sensitive. More...
Glib::PropertyProxy< bool > | property_primary_icon_tooltip_text ()
| The contents of the tooltip on the primary icon. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_tooltip_text () const
| The contents of the tooltip on the primary icon. More...
Glib::PropertyProxy< bool > | property_secondary_icon_tooltip_text ()
| The contents of the tooltip on the secondary icon. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_tooltip_text () const
| The contents of the tooltip on the secondary icon. More...
Glib::PropertyProxy< bool > | property_primary_icon_tooltip_markup ()
| The contents of the tooltip on the primary icon. More...
Glib::PropertyProxy_ReadOnly< bool > | property_primary_icon_tooltip_markup () const
| The contents of the tooltip on the primary icon. More...
Glib::PropertyProxy< bool > | property_secondary_icon_tooltip_markup ()
| The contents of the tooltip on the secondary icon. More...
Glib::PropertyProxy_ReadOnly< bool > | property_secondary_icon_tooltip_markup () const
| The contents of the tooltip on the secondary icon. More...
Glib::PropertyProxy< Glib::ustring > | property_im_module ()
| Which IM module should be used. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_im_module () const
| Which IM module should be used. More...
Public Member Functions inherited from Gtk::Widget
virtual | ~Widget ()
GtkWidget* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkWidget* | gobj () const
| Provides access to the underlying C GtkObject. More...
bool | set_scroll_adjustments (Adjustment& hadjustment, Adjustment& vadjustment)
| For widgets that support scrolling, sets the scroll adjustments and returns `true`. More...
void | show ()
| Flags a widget to be displayed. More...
void | show_now ()
| Shows a widget. More...
void | hide ()
| Reverses the effects of show(), causing the widget to be hidden (invisible to the user). More...
void | show_all ()
| Recursively shows a widget, and any child widgets (if the widget is a container). More...
void | hide_all ()
| Recursively hides a widget and any child widgets. More...
void | queue_draw ()
| Equivalent to calling queue_draw_area() for the entire area of a widget. More...
void | queue_draw_area (int x, int y, int width, int height)
| Invalidates the rectangular area of widget defined by x, y, width and height by calling gdk_window_invalidate_rect() on the widget's window and all its child windows. More...
void | queue_resize ()
| This function is only for use in widget implementations. More...
Requisition | size_request () const
| This function is typically used when implementing a Gtk::Container subclass. More...
void | size_request (const Requisition& requisition)
| This function is typically used when implementing a Gtk::Container subclass. More...
void | size_allocate (const Allocation& allocation)
| This function is only used by Gtk::Container subclasses, to assign a size and position to their child widgets. More...
void | add_accelerator (const Glib::ustring& accel_signal, const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
| Installs an accelerator for this widget in accel_group that causes accel_signal to be emitted if the accelerator is activated. More...
bool | remove_accelerator (const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods)
| Removes an accelerator from widget, previously installed with add_accelerator(). More...
void | set_accel_path (const Glib::ustring& accel_path, const Glib::RefPtr< AccelGroup >& accel_group)
| Given an accelerator group, accel_group, and an accelerator path, accel_path, sets up an accelerator in accel_group so whenever the key binding that is defined for accel_path is pressed, widget will be activated. More...
bool | mnemonic_activate (bool group_cycling)
| Emits the Gtk::Widget::signal_mnemonic_activate() signal. More...
bool | event (GdkEvent* event)
| Rarely-used function. More...
int | send_expose (GdkEvent*event)
| Very rarely-used function. More...
bool | send_focus_change (GdkEvent*event)
| Sends the focus change event to widget. More...
bool | activate ()
| For widgets that can be "activated" (buttons, menu items, etc.) this function activates them. More...
void | reparent (Widget& new_parent)
| Moves a widget from one Gtk::Container to another, handling reference count issues to avoid destroying the widget. More...
bool | intersect (const Gdk::Rectangle& area) const
bool | intersect (const Gdk::Rectangle& area, Gdk::Rectangle& intersection) const
| Computes the intersection of a widget's area and area, storing the intersection in intersection, and returns `true` if there was an intersection. More...
Gdk::Region | region_intersect (const Gdk::Region& region) const
| Computes the intersection of a widget's area and region, returning the intersection. More...
void | freeze_child_notify ()
| Stops emission of Gtk::Widget::signal_child_notify() signals on widget. More...
void | child_notify (const Glib::ustring& child_property)
| Emits a Gtk::Widget::signal_child_notify() signal for the child property child_property on widget. More...
void | thaw_child_notify ()
| Reverts the effect of a previous call to freeze_child_notify(). More...
void | set_can_focus (bool can_focus=true)
| Specifies whether widget can own the input focus. More...
bool | get_can_focus () const
| Determines whether widget can own the input focus. More...
bool | can_focus () const
| Determines whether widget can own the input focus. More...
bool | has_focus () const
| Determines if the widget has the global input focus. More...
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel. More...
void | grab_focus ()
| Causes widget to have the keyboard focus for the Gtk::Window it's inside. More...
void | set_can_default (bool can_default=true)
| Specifies whether widget can be a default widget. More...
bool | get_can_default () const
| Determines whether widget can be a default widget. More...
bool | can_default () const
| Determines whether widget can be a default widget. More...
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel. More...
void | grab_default ()
| Causes widget to become the default widget. More...
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default. More...
bool | get_receives_default () const
| Determines whether widget is alyways treated as default widget withing its toplevel when it has the focus, even if another widget is the default. More...
bool | has_grab () const
| Determines whether the widget is currently grabbing events, so it is the only widget receiving input events (keyboard and mouse). More...
void | add_modal_grab ()
| Block events to everything else than this widget and its children. More...
void | remove_modal_grab ()
| Remove the modal grab of the widget in case it was previously grabbed. More...
void | set_name (const Glib::ustring& name)
| Widgets can be named, which allows you to refer to them from a gtkrc file. More...
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget. More...
void | set_state (StateType state)
| This function is for use in widget implementations. More...
StateType | get_state () const
| Returns the widget's state. More...
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget. More...
bool | get_sensitive () const
| Returns the widget's sensitivity (in the sense of returning the value that has been set using set_sensitive()). More...
bool | is_sensitive () const
| Returns the widget's effective sensitivity, which means it is sensitive itself and also its parent widget is sensntive. More...
void | set_visible (bool visible=true)
| Sets the visibility state of widget. More...
bool | get_visible () const
| Determines whether the widget is visible. More...
void | set_has_window (bool has_window=true)
| Specifies whether widget has a Gdk::Window of its own. More...
bool | get_has_window () const
| Determines whether widget has a Gdk::Window of its own. More...
bool | get_is_toplevel () const
| Determines whether widget is a toplevel widget. More...
bool | get_is_drawable () const
| Determines whether widget can be drawn to. More...
bool | get_realized () const
| Determines whether widget is realized. More...
bool | get_mapped () const
| Whether the widget is mapped. More...
void | set_app_paintable (bool app_paintable=true)
| Sets whether the application intends to draw on the widget in an Gtk::Widget::signal_expose_event() handler. More...
bool | get_app_paintable () const
| Determines whether the application intends to draw on the widget in an Gtk::Widget::signal_expose_event() handler. More...
void | set_double_buffered (bool double_buffered=true)
| Widgets are double buffered by default; you can use this function to turn off the buffering. More...
bool | get_double_buffered () const
| Determines whether the widget is double buffered. More...
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
| Sets whether the entire widget is queued for drawing when its size allocation changes. More...
void | set_child_visible (bool is_visible=true)
| Sets whether widget should be mapped along with its when its parent is mapped and widget has been shown with show(). More...
bool | get_child_visible () const
| Gets the value set with set_child_visible(). More...
void | set_window (const Glib::RefPtr< Gdk::Window >& window)
| Sets a widget's window. More...
Glib::RefPtr< Gdk::Window > | get_window ()
| Returns the widget's window if it is realized, `nullptr` otherwise. More...
Glib::RefPtr< const Gdk::Window > | get_window () const
| Returns the widget's window if it is realized, `nullptr` otherwise. More...
Allocation | get_allocation () const
| Retrieves the widget's location. More...
void | set_allocation (const Allocation& allocation)
| Sets the widget's allocation. More...
Container* | get_parent ()
| Returns the parent container of widget. More...
const Container* | get_parent () const
| Returns the parent container of widget. More...
Glib::RefPtr< Gdk::Window > | get_parent_window ()
| Gets widget's parent window. More...
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
| Gets widget's parent window. More...
void | set_parent_window (const Glib::RefPtr< const Gdk::Window >& parent_window)
| Sets a non default parent window for widget. More...
bool | child_focus (DirectionType direction)
| This function is used by custom widget implementations; if you're writing an app, you'd use grab_focus() to move the focus to a particular widget, and Gtk::Container::set_focus_chain() to change the focus tab order. More...
bool | keynav_failed (DirectionType direction)
| This function should be called whenever keyboard navigation within a single widget hits a boundary. More...
void | error_bell ()
| Notifies the user about an input-related error on this widget. More...
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget; that is, the widget's size request will be width by height. More...
void | get_size_request (int& width, int& height) const
| Gets the size request that was explicitly set for the widget using set_size_request(). More...
void | set_events (Gdk::EventMask events)
| Sets the event mask (see Gdk::EventMask) for a widget. More...
void | add_events (Gdk::EventMask events)
| Adds the events in the bitfield events to the event mask for widget. More...
void | set_extension_events (Gdk::ExtensionMode mode)
| Sets the extension events mask to mode. More...
Gdk::ExtensionMode | get_extension_events () const
| Retrieves the extension events the widget will receive; see gdk_input_set_extension_events(). More...
Container* | get_toplevel ()
| This function returns the topmost widget in the container hierarchy widget is a part of. More...
const Container* | get_toplevel () const
| This function returns the topmost widget in the container hierarchy widget is a part of. More...
Widget* | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type. More...
const Widget* | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type. More...
Glib::RefPtr< Gdk::Colormap > | get_colormap ()
| Gets the colormap that will be used to render widget. More...
Glib::RefPtr< Gdk::Visual > | get_visual ()
| Gets the visual that will be used to render widget. More...
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Get the Gdk::Screen from the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Get the Gdk::Screen from the toplevel window associated with this widget. More...
bool | has_screen () const
| Checks whether there is a Gdk::Screen is associated with this widget. More...
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the Gdk::Display for the toplevel window associated with this widget. More...
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the Gdk::Display for the toplevel window associated with this widget. More...
Glib::RefPtr< Gdk::Window > | get_root_window ()
| Get the root window where this widget is located. More...
Glib::RefPtr< const Gdk::Window > | get_root_window () const
| Get the root window where this widget is located. More...
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings (global property settings, RC file information, etc) used for this widget. More...
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring& selection)
| Returns the clipboard object for the given selection to be used with widget. More...
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring& selection) const
| Returns the clipboard object for the given selection to be used with widget. More...
Glib::RefPtr< Gdk::Pixmap > | get_snapshot (Gdk::Rectangle& clip_rect) const
| Create a Gdk::Pixmap of the contents of the widget and its children. More...
Glib::RefPtr< Gdk::Pixmap > | get_snapshot () const
| Create a Gdk::Pixmap of the contents of the widget and its children. More...
Glib::RefPtr< Atk::Object > | get_accessible ()
| Returns the accessible object that describes the widget to an assistive technology. More...
Glib::RefPtr< const Atk::Object > | get_accessible () const
| Returns the accessible object that describes the widget to an assistive technology. More...
void | set_colormap (const Glib::RefPtr< const Gdk::Colormap >& colormap)
| Sets the colormap for the widget to the given value. More...
Gdk::EventMask | get_events () const
| Returns the event mask for the widget (a bitfield containing flags from the Gdk::EventMask enumeration). More...
void | get_pointer (int& x, int& y) const
| Obtains the location of the mouse pointer in widget coordinates. More...
bool | is_ancestor (Widget& ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers. More...
bool | translate_coordinates (Widget& dest_widget, int src_x, int src_y, int& dest_x, int& dest_y)
| Translate coordinates relative to src_widget's allocation to coordinates relative to dest_widget's allocations. More...
bool | has_rc_style () const
| Determines if the widget style has been looked up through the rc mechanism. More...
void | set_style (const Glib::RefPtr< Style >& style)
| Sets the Gtk::Style for a widget ( widget->style). More...
void | unset_style ()
void | ensure_style ()
| Ensures that widget has a style ( widget->style). More...
Glib::RefPtr< Style > | get_style ()
| Simply an accessor function that returns widget->style. More...
Glib::RefPtr< const Style > | get_style () const
| Simply an accessor function that returns widget->style. More...
void | modify_style (const Glib::RefPtr< RcStyle >& style)
| Modifies style values on the widget. More...
Glib::RefPtr< RcStyle > | get_modifier_style ()
| Returns the current modifier style for the widget. More...
Glib::RefPtr< const RcStyle > | get_modifier_style () const
| Returns the current modifier style for the widget. More...
void | modify_fg (StateType state, const Gdk::Color& color)
| Sets the foreground color for a widget in a particular state. More...
void | modify_bg (StateType state, const Gdk::Color& color)
| Sets the background color for a widget in a particular state. More...
void | modify_bg_pixmap (StateType state, const Glib::ustring& pixmap_name)
void | modify_text (StateType state, const Gdk::Color& color)
| Sets the text color for a widget in a particular state. More...
void | modify_base (StateType state, const Gdk::Color& color)
| Sets the base color for a widget in a particular state. More...
void | modify_cursor (const Gdk::Color& primary, const Gdk::Color& secondary)
| Sets the cursor color to use in a widget, overriding the cursor_color and secondary_cursor_color style properties. More...
void | unset_cursor ()
| See modify_cursor(). More...
void | modify_font (const Pango::FontDescription& font_desc)
| Sets the font to use for a widget. More...
void | unset_fg (StateType state)
| Undo the effect of previous calls to modify_fg() for a particular state. More...
void | unset_bg (StateType state)
| Undo the effect of previous calls to modify_bg() for a particular state. More...
void | unset_text (StateType state)
| Undo the effect of previous calls to modify_text() for a particular state. More...
void | unset_base (StateType state)
| Undo the effect of previous calls to modify_base() for a particular state. More...
void | unset_font ()
| Undo the effect of previous calls to modify_font() for a particular state. More...
template<class PropertyType >
void | get_style_property (const Glib::ustring& the_property_name, PropertyType& value) const
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context with the appropriate font map, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context with the appropriate font map, font description, and base direction for this widget. More...
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring& text)
| Creates a new Pango::Layout with the appropriate font map, font description, and base direction for drawing text for this widget. More...
Glib::RefPtr< Gdk::Pixbuf > | render_icon (const StockID& stock_id, IconSize size, const Glib::ustring& detail=Glib::ustring())
| A convenience function that uses the theme engine and RC file settings for the widget to look up stock_id and render it to a pixbuf. More...
void | set_composite_name (const Glib::ustring& name)
| Sets a widgets composite name. More...
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
| Obtains the composite name of a widget. More...
void | reset_rc_styles ()
| Reset the styles of widget and all descendents, so when they are looked up again, they get the correct values for the currently loaded RC file settings. More...
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget. More...
TextDirection | get_direction ()
| Gets the reading direction for a particular widget. More...
TextDirection | get_direction () const
| Gets the reading direction for a particular widget. More...
void | shape_combine_mask (const Glib::RefPtr< const Gdk::Bitmap >& shape_mask, int offset_x, int offset_y)
| Sets a shape for this widget's GDK window. More...
void | unset_shape_combine_mask ()
void | input_shape_combine_mask (const Glib::RefPtr< const Gdk::Bitmap >& shape_mask, int offset_x, int offset_y)
| Sets an input shape for this widget's GDK window. More...
void | unset_input_shape_combine_mask ()
void | reset_shapes ()
| Recursively resets the shape on this widget and its descendants. More...
void | path (Glib::ustring& path, Glib::ustring& path_reversed)
| Compute a widget's path of the form "GtkWindow.MyLabel". More...
void | class_path (Glib::ustring&path, Glib::ustring& path_reversed)
Glib::ListHandle< Widget* > | list_mnemonic_labels ()
| Returns a newly allocated list of the widgets, normally labels, for which this widget is a the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()). More...
Glib::ListHandle< const Widget* > | list_mnemonic_labels () const
| Returns a newly allocated list of the widgets, normally labels, for which this widget is a the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()). More...
void | add_mnemonic_label (Widget& label)
| Adds a widget to the list of mnemonic labels for this widget. More...
void | remove_mnemonic_label (Widget& label)
| Removes a widget from the list of mnemonic labels for this widget. More...
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext >& context, Glib::ustring& target, guint32 time)
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::ustring& target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const ArrayHandle_TargetEntry& targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window >& proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
void | drag_dest_unset ()
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::RefPtr< TargetList >& target_list) const
| Looks for a match between context->targets and the dest_target_list, returning the first matching target, otherwise returning Gdk::NONE. More...
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
| Returns the list of targets this widget can accept from drag-and-drop. More...
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
| Returns the list of targets this widget can accept from drag-and-drop. More...
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList >& target_list)
| Sets the target types that this widget can accept from drag-and-drop. More...
void | drag_dest_add_text_targets ()
| Add the text targets supported by Gtk::Selection to the target list of the drag destination. More...
void | drag_dest_add_image_targets ()
| Add the image targets supported by Gtk::Selection to the target list of the drag destination. More...
void | drag_dest_add_uri_targets ()
| Add the URI targets supported by Gtk::Selection to the target list of the drag destination. More...
void | drag_source_set (const ArrayHandle_TargetEntry& targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Colormap >& colormap, const Glib::RefPtr< Gdk::Pixmap >& pixmap, const Glib::RefPtr< Gdk::Bitmap >& mask)
| Sets the icon that will be used for drags from a particular widget from a pixmap/mask. More...
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf)
| Sets the icon that will be used for drags from a particular widget from a Gdk::Pixbuf. More...
void | drag_source_set_icon (const StockID& stock_id)
| Sets the icon that will be used for drags from a particular source to a stock icon. More...
void | drag_source_set_icon (const Glib::ustring& icon_name)
| Sets the icon that will be used for drags from a particular source to a themed icon. More...
void | drag_source_add_text_targets ()
| Add the text targets supported by Gtk::Selection to the target list of the drag source. More...
void | drag_source_add_uri_targets ()
| Add the URI targets supported by Gtk::Selection to the target list of the drag source. More...
void | drag_source_add_image_targets ()
| Add the writable image targets supported by Gtk::Selection to the target list of the drag source. More...
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList >& targets, Gdk::DragAction actions, int button, GdkEvent*event)
| Initiates a drag on the source side. More...
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
| Checks to see if a mouse drag starting at ( start_x, start_y) and ending at ( current_x, current_y) has passed the GTK+ drag threshold, and thus should trigger the beginning of a drag-and-drop operation. More...
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext >& context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
| This function works like queue_resize(), except that the widget is not invalidated. More...
bool | get_no_show_all () const
| Returns the current value of the GtkWidget:no-show-all property, which determines whether calls to show_all() and hide_all() will affect this widget. More...
void | set_no_show_all (bool no_show_all=true)
| Sets the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() and hide_all() will affect this widget. More...
void | set_parent (Widget& parent)
| This function is useful only when implementing subclasses of Gtk::Container. More...
void | unparent ()
| This function is only for use in widget implementations. More...
void | map ()
| This function is only for use in widget implementations. More...
void | unmap ()
| This function is only for use in widget implementations. More...
void | draw_insertion_cursor (Glib::RefPtr< Gdk::Drawable > drawable, const Gdk::Rectangle& area, const Gdk::Rectangle& location, bool is_primary, TextDirection direction, bool draw_arrow=true)
void | set_tooltip_window (Window& widget)
| Replaces the default, usually yellow, window used for displaying tooltips with widget. More...
Window* | get_tooltip_window ()
| Returns the Gtk::Window of the current tooltip. More...
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located. More...
void | set_tooltip_text (const Glib::ustring& text)
| Sets text as the contents of the tooltip. More...
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget. More...
void | set_tooltip_markup (const Glib::ustring& markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language. More...
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget. More...
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on widget to has_tooltip. More...
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property. More...
bool | has_no_window () const
bool | is_realized () const
bool | is_mapped () const
bool | is_toplevel () const
bool | is_drawable () const
bool | is_visible () const
bool | sensitive () const
bool | app_paintable () const
bool | receives_default () const
bool | double_buffered () const
bool | parent_sensitive () const
bool | rc_style () const
bool | is_composite_child () const
| Returns trye if the widget is a composite child of its parent. More...
WidgetFlags | get_flags () const
void | set_flags (WidgetFlags flags)
void | unset_flags (WidgetFlags flags)
Gtk::StateType | get_saved_state () const
int | get_width () const
int | get_height () const
bool | is_composited () const
| Whether widget can rely on having its alpha channel drawn correctly. More...
Glib::RefPtr< Action > | get_action ()
| Returns the Gtk::Action that widget is a proxy for. More...
Glib::RefPtr< const Action > | get_action () const
| Returns the Gtk::Action that widget is a proxy for. More...
Requisition | get_requisition () const
| Retrieves the widget's requisition. More...
Glib::SignalProxy< void > | signal_show ()
Glib::SignalProxy< void > | signal_hide ()
Glib::SignalProxy< void > | signal_map ()
| Emitted on mapping of a widget to the screen. More...
Glib::SignalProxy< void > | signal_unmap ()
Glib::SignalProxy< void > | signal_realize ()
| Emitted on realization of a widget. More...
Glib::SignalProxy< void > | signal_unrealize ()
Glib::SignalProxy< void, Requisition*> | signal_size_request ()
Glib::SignalProxy< void, Allocation&> | signal_size_allocate ()
Glib::SignalProxy< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy< void, Widget*> | signal_parent_changed ()
| Informs objects that their parent changed. More...
Glib::SignalProxy< void, Widget*> | signal_hierarchy_changed ()
Glib::SignalProxy< void, const Glib::RefPtr< Gtk::Style >&> | signal_style_changed ()
| The style-set signal is emitted when a new style has been set on a widget. More...
Glib::SignalProxy< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy< void, bool > | signal_grab_notify ()
Glib::SignalProxy< void, GParamSpec*> | signal_child_notify ()
| The ::child-notify signal is emitted for each child property that has changed on an object. More...
Glib::SignalProxy< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy< void > | signal_grab_focus ()
Glib::SignalProxy< bool, DirectionType > | signal_focus ()
Glib::SignalProxy< bool, GdkEvent*> | signal_event ()
Glib::SignalProxy< void, GdkEvent*> | signal_event_after ()
Glib::SignalProxy< bool, GdkEventButton*> | signal_button_press_event ()
| Event triggered by user pressing button. More...
Glib::SignalProxy< bool, GdkEventButton*> | signal_button_release_event ()
| Event triggered by user releasing button. More...
Glib::SignalProxy< bool, GdkEventScroll*> | signal_scroll_event ()
Glib::SignalProxy< bool, GdkEventMotion*> | signal_motion_notify_event ()
| Event triggered by user moving pointer. More...
Glib::SignalProxy< bool, GdkEventAny*> | signal_delete_event ()
| The delete_event signal is emitted if a user requests that a toplevel window is closed. More...
Glib::SignalProxy< bool, GdkEventExpose*> | signal_expose_event ()
| Event triggered by window requiring a refresh. More...
Glib::SignalProxy< bool, GdkEventKey*> | signal_key_press_event ()
| Event triggered by a key press will widget has focus. More...
Glib::SignalProxy< bool, GdkEventKey*> | signal_key_release_event ()
| Event triggered by a key release will widget has focus. More...
Glib::SignalProxy< bool, GdkEventCrossing*> | signal_enter_notify_event ()
| Event triggered by pointer entering widget area. More...
Glib::SignalProxy< bool, GdkEventCrossing*> | signal_leave_notify_event ()
| Event triggered by pointer leaving widget area. More...
Glib::SignalProxy< bool, GdkEventConfigure*> | signal_configure_event ()
| Event triggered by a window resizing. More...
Glib::SignalProxy< bool, GdkEventFocus*> | signal_focus_in_event ()
Glib::SignalProxy< bool, GdkEventFocus*> | signal_focus_out_event ()
Glib::SignalProxy< bool, GdkEventAny*> | signal_map_event ()
Glib::SignalProxy< bool, GdkEventAny*> | signal_unmap_event ()
Glib::SignalProxy< bool, GdkEventProperty*> | signal_property_notify_event ()
Glib::SignalProxy< bool, GdkEventSelection*> | signal_selection_clear_event ()
Glib::SignalProxy< bool, GdkEventSelection*> | signal_selection_request_event ()
Glib::SignalProxy< bool, GdkEventSelection*> | signal_selection_notify_event ()
Glib::SignalProxy< bool, GdkEventProximity*> | signal_proximity_in_event ()
Glib::SignalProxy< bool, GdkEventProximity*> | signal_proximity_out_event ()
Glib::SignalProxy< bool, GdkEventVisibility*> | signal_visibility_notify_event ()
Glib::SignalProxy< bool, GdkEventClient*> | signal_client_event ()
Glib::SignalProxy< bool, GdkEventAny*> | signal_no_expose_event ()
Glib::SignalProxy< bool, GdkEventWindowState*> | signal_window_state_event ()
Glib::SignalProxy< void, SelectionData&, guint, guint > | signal_selection_get ()
Glib::SignalProxy< void, const SelectionData&, guint > | signal_selection_received ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext >&> | signal_drag_begin ()
| The drag_begin signal is emitted on the drag source when a drag is started. More...
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext >&> | signal_drag_end ()
| The drag_end signal is emitted on the drag source when a drag is finished. More...
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext >&, SelectionData&, guint, guint > | signal_drag_data_get ()
| The drag_data_get signal is emitted on the drag source when the drop site requests the data which is dragged. More...
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext >&> | signal_drag_data_delete ()
| The drag_data_delete signal is emitted on the drag source when a drag with the action Gdk::ACTION_MOVE is successfully completed. More...
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext >&, DragResult > | signal_drag_failed ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext >&, guint > | signal_drag_leave ()
| The drag_leave signal is emitted on the drop site when the cursor leaves the widget. More...
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext >&, int, int, guint > | signal_drag_motion ()
| The drag_motion signal is emitted on the drop site when the user moves the cursor over the widget during a drag. More...
Glib::SignalProxy< bool, const Glib::RefPtr< Gdk::DragContext >&, int, int, guint > | signal_drag_drop ()
| The drag_drop signal is emitted on the drop site when the user drops the data onto the widget. More...
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::DragContext >&, int, int, const SelectionData&, guint, guint > | signal_drag_data_received ()
| The drag_data_received signal is emitted on the drop site when the dragged data has been received. More...
Glib::SignalProxy< Glib::RefPtr< Atk::Object > > | signal_get_accessible ()
Glib::SignalProxy< void, const Glib::RefPtr< Gdk::Screen >&> | signal_screen_changed ()
Glib::SignalProxy< void > | signal_composited_changed ()
Glib::SignalProxy< bool > | signal_popup_menu ()
Glib::SignalProxy< bool, int, int, bool, const Glib::RefPtr< Tooltip >&> | signal_query_tooltip ()
Glib::SignalProxy< bool, GdkEventGrabBroken*> | signal_grab_broken_event ()
Glib::SignalProxy< bool, GdkEventExpose*> | signal_damage_event ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
| The name of the widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| The name of the widget. More...
Glib::PropertyProxy< Container*> | property_parent ()
| The parent widget of this widget. More...
Glib::PropertyProxy_ReadOnly< Container*> | property_parent () const
| The parent widget of this widget. More...
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget, or -1 if natural request should be used. More...
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible. More...
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
| Whether the widget is visible. More...
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input. More...
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
| Whether the widget responds to input. More...
Glib::PropertyProxy< bool > | property_app_paintable ()
| Whether the application will paint directly on the widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_app_paintable () const
| Whether the application will paint directly on the widget. More...
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget can accept the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
| Whether the widget can accept the input focus. More...
Glib::PropertyProxy< bool > | property_has_focus ()
| Whether the widget has the input focus. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
| Whether the widget has the input focus. More...
Glib::PropertyProxy< bool > | property_is_focus ()
| Whether the widget is the focus widget within the toplevel. More...
Glib::PropertyProxy_ReadOnly< bool > | property_is_focus () const
| Whether the widget is the focus widget within the toplevel. More...
Glib::PropertyProxy< bool > | property_can_default ()
| Whether the widget can be the default widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_can_default () const
| Whether the widget can be the default widget. More...
Glib::PropertyProxy< bool > | property_has_default ()
| Whether the widget is the default widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
| Whether the widget is the default widget. More...
Glib::PropertyProxy< bool > | property_receives_default ()
| If `true`, the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
| If `true`, the widget will receive the default action when it is focused. More...
Glib::PropertyProxy_ReadOnly< bool > | property_composite_child () const
| Whether the widget is part of a composite widget. More...
Glib::PropertyProxy< Glib::RefPtr< Style > > | property_style ()
| The style of the widget, which contains information about how it will look (colors etc). More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Style > > | property_style () const
| The style of the widget, which contains information about how it will look (colors etc). More...
Glib::PropertyProxy< Gdk::EventMask > | property_events ()
| The event mask that decides what kind of GdkEvents this widget gets. More...
Glib::PropertyProxy_ReadOnly< Gdk::EventMask > | property_events () const
| The event mask that decides what kind of GdkEvents this widget gets. More...
Glib::PropertyProxy< Gdk::ExtensionMode > | property_extension_events ()
| The mask that decides what kind of extension events this widget gets. More...
Glib::PropertyProxy_ReadOnly< Gdk::ExtensionMode > | property_extension_events () const
| The mask that decides what kind of extension events this widget gets. More...
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Whether this widget has a tooltip. More...
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
| Whether this widget has a tooltip. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
| The contents of the tooltip for this widget. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Window > > | property_window () const
| The widget's window if it is realized. More...
Glib::PropertyProxy< bool > | property_no_show_all ()
| Whether Gtk::Widget::show_all() should not affect this widget. More...
Glib::PropertyProxy_ReadOnly< bool > | property_no_show_all () const
| Whether Gtk::Widget::show_all() should not affect this widget. More...
Glib::PropertyProxy< bool > | property_double_buffered ()
| Whether or not the widget is double buffered. More...
Glib::PropertyProxy_ReadOnly< bool > | property_double_buffered () const
| Whether or not the widget is double buffered. More...
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
GtkObject* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkObject* | gobj () const
| Provides access to the underlying C GtkObject. More...
Glib::PropertyProxy< void*> | property_user_data ()
| Anonymous User Data Pointer. More...
Glib::PropertyProxy_ReadOnly< void*> | property_user_data () const
| Anonymous User Data Pointer. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Atk::Implementor
| Implementor (Implementor &&src) noexcept
Implementor & | operator= (Implementor &&src) noexcept
| ~Implementor () noexcept override
AtkImplementor * | gobj ()
const AtkImplementor * | gobj () const
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor *object, bool take_copy=false)
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Editable
| Editable (Editable&& src) noexcept
Editable& | operator= (Editable&& src) noexcept
| ~Editable () noexcept override
GtkEditable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkEditable* | gobj () const
| Provides access to the underlying C GObject. More...
void | cut_clipboard ()
| Removes the contents of the currently selected content in the editable and puts it on the clipboard. More...
void | copy_clipboard ()
| Copies the contents of the currently selected content in the editable and puts it on the clipboard. More...
void | paste_clipboard ()
| Pastes the content of the clipboard to the current position of the cursor in the editable. More...
void | delete_selection ()
| Deletes the currently selected text of the editable. More...
void | set_editable (bool is_editable=true)
| Determines if the user can edit the text in the editable widget or not. More...
bool | get_editable () const
| Retrieves whether editable is editable. More...
void | insert_text (const Glib::ustring& text, int length, int& position)
| Inserts length bytes of text into the contents of the widget, at position position. More...
void | delete_text (int start_pos, int end_pos)
| Deletes a sequence of characters. More...
Glib::ustring | get_chars (int start_pos, int end_pos) const
| Retrieves a sequence of characters. More...
void | select_region (int start_pos, int end_pos)
| Selects a region of text. More...
bool | get_selection_bounds (int& start_pos, int& end_pos) const
| Retrieves the selection bound of the editable. More...
void | set_position (int position)
| Sets the cursor position in the editable to the given value. More...
int | get_position () const
| Retrieves the current position of the cursor relative to the start of the content of the editable. More...
Glib::SignalProxy< void, const Glib::ustring&, int*> | signal_insert_text ()
Glib::SignalProxy< void, int, int > | signal_delete_text ()
Glib::SignalProxy< void > | signal_changed ()
Public Member Functions inherited from Gtk::CellEditable
| CellEditable (CellEditable&& src) noexcept
CellEditable& | operator= (CellEditable&& src) noexcept
| ~CellEditable () noexcept override
GtkCellEditable* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkCellEditable* | gobj () const
| Provides access to the underlying C GObject. More...
void | start_editing (GdkEvent* event)
| Begins editing on a cell_editable. More...
void | editing_done ()
| Emits the Gtk::CellEditable::signal_editing_done() signal. More...
void | remove_widget ()
| Emits the Gtk::CellEditable::signal_remove_widget() signal. More...
Glib::SignalProxy< void > | signal_editing_done ()
Glib::SignalProxy< void > | signal_remove_widget ()
Glib::PropertyProxy< bool > | property_editing_canceled ()
| Indicates that editing has been canceled. More...
Glib::PropertyProxy_ReadOnly< bool > | property_editing_canceled () const
| Indicates that editing has been canceled. More...

## Protected Member Functions
virtual void | on_populate_popup (Menu* menu)
| This is a default handler for the signal signal_populate_popup(). More...
virtual void | on_insert_at_cursor (const Glib::ustring& str)
| This is a default handler for the signal signal_insert_at_cursor(). More...
virtual void | on_activate ()
| This is a default handler for the signal signal_activate(). More...
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
| This is a default handler for the signal signal_show(). More...
virtual void | on_hide ()
| This is a default handler for the signal signal_hide(). More...
virtual void | on_map ()
| This is a default handler for the signal signal_map(). More...
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap(). More...
virtual void | on_realize ()
| This is a default handler for the signal signal_realize(). More...
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize(). More...
virtual void | on_size_request (Requisition* requisition)
| This is a default handler for the signal signal_size_request(). More...
virtual void | on_size_allocate (Allocation& allocation)
| This is a default handler for the signal signal_size_allocate(). More...
virtual void | on_state_changed (Gtk::StateType previous_state)
| This is a default handler for the signal signal_state_changed(). More...
virtual void | on_parent_changed (Widget* previous_parent)
| This is a default handler for the signal signal_parent_changed(). More...
virtual void | on_hierarchy_changed (Widget* previous_toplevel)
| This is a default handler for the signal signal_hierarchy_changed(). More...
virtual void | on_style_changed (const Glib::RefPtr< Gtk::Style >& previous_style)
| This is a default handler for the signal signal_style_changed(). More...
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed(). More...
virtual void | on_grab_notify (bool was_grabbed)
| This is a default handler for the signal signal_grab_notify(). More...
virtual void | on_child_notify (GParamSpec* pspec)
| This is a default handler for the signal signal_child_notify(). More...
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate(). More...
virtual void | on_grab_focus ()
| This is a default handler for the signal signal_grab_focus(). More...
virtual bool | on_focus (DirectionType direction)
| This is a default handler for the signal signal_focus(). More...
virtual bool | on_event (GdkEvent*event)
| This is a default handler for the signal signal_event(). More...
virtual bool | on_button_press_event (GdkEventButton*event)
| This is a default handler for the signal signal_button_press_event(). More...
virtual bool | on_button_release_event (GdkEventButton*event)
| This is a default handler for the signal signal_button_release_event(). More...
virtual bool | on_scroll_event (GdkEventScroll*event)
| This is a default handler for the signal signal_scroll_event(). More...
virtual bool | on_motion_notify_event (GdkEventMotion*event)
| This is a default handler for the signal signal_motion_notify_event(). More...
virtual bool | on_delete_event (GdkEventAny*event)
| This is a default handler for the signal signal_delete_event(). More...
virtual bool | on_expose_event (GdkEventExpose*event)
| This is a default handler for the signal signal_expose_event(). More...
virtual bool | on_key_press_event (GdkEventKey*event)
| This is a default handler for the signal signal_key_press_event(). More...
virtual bool | on_key_release_event (GdkEventKey*event)
| This is a default handler for the signal signal_key_release_event(). More...
virtual bool | on_enter_notify_event (GdkEventCrossing*event)
| This is a default handler for the signal signal_enter_notify_event(). More...
virtual bool | on_leave_notify_event (GdkEventCrossing*event)
| This is a default handler for the signal signal_leave_notify_event(). More...
virtual bool | on_configure_event (GdkEventConfigure*event)
| This is a default handler for the signal signal_configure_event(). More...
virtual bool | on_focus_in_event (GdkEventFocus*event)
| This is a default handler for the signal signal_focus_in_event(). More...
virtual bool | on_focus_out_event (GdkEventFocus*event)
| This is a default handler for the signal signal_focus_out_event(). More...
virtual bool | on_map_event (GdkEventAny*event)
| This is a default handler for the signal signal_map_event(). More...
virtual bool | on_unmap_event (GdkEventAny*event)
| This is a default handler for the signal signal_unmap_event(). More...
virtual bool | on_property_notify_event (GdkEventProperty*event)
| This is a default handler for the signal signal_property_notify_event(). More...
virtual bool | on_selection_clear_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_clear_event(). More...
virtual bool | on_selection_request_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_request_event(). More...
virtual bool | on_selection_notify_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_notify_event(). More...
virtual bool | on_proximity_in_event (GdkEventProximity*event)
| This is a default handler for the signal signal_proximity_in_event(). More...
virtual bool | on_proximity_out_event (GdkEventProximity*event)
| This is a default handler for the signal signal_proximity_out_event(). More...
virtual bool | on_visibility_notify_event (GdkEventVisibility*event)
| This is a default handler for the signal signal_visibility_notify_event(). More...
virtual bool | on_client_event (GdkEventClient*event)
| This is a default handler for the signal signal_client_event(). More...
virtual bool | on_no_expose_event (GdkEventAny*event)
| This is a default handler for the signal signal_no_expose_event(). More...
virtual bool | on_window_state_event (GdkEventWindowState*event)
| This is a default handler for the signal signal_window_state_event(). More...
virtual void | on_selection_get (SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_selection_get(). More...
virtual void | on_selection_received (const SelectionData& selection_data, guint time)
| This is a default handler for the signal signal_selection_received(). More...
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_begin(). More...
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_end(). More...
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext >& context, SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_get(). More...
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_data_delete(). More...
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext >& context, guint time)
| This is a default handler for the signal signal_drag_leave(). More...
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_motion(). More...
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_drop(). More...
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, const SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_received(). More...
virtual Glib::RefPtr< Atk::Object > | on_get_accessible ()
| This is a default handler for the signal signal_get_accessible(). More...
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen >& previous_screen)
| This is a default handler for the signal signal_screen_changed(). More...
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec** p2)
virtual void | show_all_vfunc ()
virtual void | hide_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
| Widget ()
void | realize ()
| Creates the GDK (windowing system) resources associated with a widget. More...
void | unrealize ()
| This function is only useful in widget implementations. More...
void | set_mapped (bool mapped=true)
| Marks the widget as being realized. More...
void | set_realized (bool realized=true)
| Marks the widget as being realized. More...
void | style_attach ()
| This function attaches the widget's Gtk::Style to the widget's Gdk::Window. More...
void | get_child_requisition (Requisition& requisition) const
| This function is only for use in widget implementations. More...
void | get_style_property_value (const Glib::ustring& the_property_name, Glib::ValueBase& value) const
| Gets the value of a style property of widget. More...
void | realize_if_needed ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Atk::Implementor
| Implementor ()
virtual Glib::RefPtr< Object > | ref_accessibile_vfunc ()
Protected Member Functions inherited from Gtk::Editable
| Editable ()
| You should derive from this class to use it. More...
virtual void | delete_text_vfunc (int start_pos, int end_pos)
virtual Glib::ustring | get_chars_vfunc (int start_pos, int end_pos) const
virtual void | select_region_vfunc (int start_pos, int end_pos)
virtual bool | get_selection_bounds_vfunc (int& start_pos, int& end_pos) const
virtual void | set_position_vfunc (int position)
virtual int | get_position_vfunc () const
virtual void | insert_text_vfunc (const Glib::ustring& text, int& position)
virtual void | on_insert_text (const Glib::ustring& text, int* position)
| This is a default handler for the signal signal_insert_text(). More...
virtual void | on_delete_text (int start_pos, int end_pos)
| This is a default handler for the signal signal_delete_text(). More...
virtual void | on_changed ()
| This is a default handler for the signal signal_changed(). More...
Protected Member Functions inherited from Gtk::CellEditable
| CellEditable ()
| You should derive from this class to use it. More...
virtual void | start_editing_vfunc (GdkEvent* event)
virtual void | on_editing_done ()
| This is a default handler for the signal signal_editing_done(). More...
virtual void | on_remove_widget ()
| This is a default handler for the signal signal_remove_widget(). More...

## Related Functions
(Note that these are not member functions.)
Gtk::Entry* | wrap (GtkEntry* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Widget
Gtk::Widget* | wrap (GtkWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Object
Gtk::Object* | wrap (GtkObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::Editable
Glib::RefPtr< Gtk::Editable > | wrap (GtkEditable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::CellEditable
Glib::RefPtr< Gtk::CellEditable > | wrap (GtkCellEditable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Static Public Member Functions inherited from Gtk::Widget
static Widget* | get_current_modal_grab ()
| Retrieve the widget which is currently grabbing all events. More...
static void | push_colormap (const Glib::RefPtr< const Gdk::Colormap >& cmap)
| Pushes cmap onto a global stack of colormaps; the topmost colormap on the stack will be used to create all widgets. More...
static void | pop_colormap ()
| Removes a colormap pushed with push_colormap(). More...
static void | push_composite_child ()
| Makes all newly-created widgets as composite children until the corresponding pop_composite_child() call. More...
static void | pop_composite_child ()
| Cancels the effect of a previous call to push_composite_child(). More...
static void | set_default_colormap (const Glib::RefPtr< const Gdk::Colormap >& colormap)
| Sets the default colormap to use when creating widgets. More...
static Glib::RefPtr< Style > | get_default_style ()
| Returns the default style used by all widgets initially. More...
static Glib::RefPtr< Gdk::Colormap > | get_default_colormap ()
| Obtains the default colormap used to create widgets. More...
static Glib::RefPtr< Gdk::Visual > | get_default_visual ()
| Obtains the visual of the default colormap. More...
static void | set_default_direction (TextDirection dir)
| Sets the default reading direction for widgets where the direction has not been explicitly set by set_direction(). More...
static TextDirection | get_default_direction ()
| Obtains the current default reading direction. More...
static Widget* | drag_get_source_widget (const Glib::RefPtr< Gdk::DragContext >& context)
Static Public Member Functions inherited from Atk::Implementor
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Editable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::CellEditable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Detailed Description

A single line text entry field.

The Gtk::Entry widget is a single line text entry widget. A fairly large set of key bindings are supported by default. If the entered text is longer than the allocation of the widget, the widget will scroll so that the cursor position is visible.

The Entry widget looks like this:

## Constructor & Destructor Documentation

## ◆ ~Entry()

virtual Gtk::Entry::~Entry | ( |  | ) |
| virtual

## ◆ Entry() [1/2]

Gtk::Entry::Entry | ( |  | ) |

## ◆ Entry() [2/2]

Gtk::Entry::Entry | ( | const Glib::RefPtr< EntryBuffer >& | buffer | ) |
| explicit

## Member Function Documentation

## ◆ get_activates_default()

gboolean Gtk::Entry::get_activates_default | ( |  | ) | const

Retrieves the value set by set_activates_default().

Returns
  `true` if the entry will activate the default widget.

## ◆ get_alignment()

float Gtk::Entry::get_alignment | ( |  | ) | const

Gets the value set by set_alignment().

Since gtkmm 2.4:

Returns
  The alignment.

## ◆ get_buffer() [1/2]

Glib::RefPtr<EntryBuffer> Gtk::Entry::get_buffer | ( |  | ) |

Get the Gtk::EntryBuffer object which holds the text for this widget.

Since gtkmm 2.18:

Returns
  A Gtk::EntryBuffer object.

## ◆ get_buffer() [2/2]

Glib::RefPtr<const EntryBuffer> Gtk::Entry::get_buffer | ( |  | ) | const

Get the Gtk::EntryBuffer object which holds the text for this widget.

Since gtkmm 2.18:

Returns
  A Gtk::EntryBuffer object.

## ◆ get_completion() [1/2]

Glib::RefPtr<EntryCompletion> Gtk::Entry::get_completion | ( |  | ) |

Returns the auxiliary completion object currently in use by entry.

Since gtkmm 2.4:

Returns
  The auxiliary completion object currently in use by entry.

## ◆ get_completion() [2/2]

Glib::RefPtr<const EntryCompletion> Gtk::Entry::get_completion | ( |  | ) | const

Returns the auxiliary completion object currently in use by entry.

Since gtkmm 2.4:

Returns
  The auxiliary completion object currently in use by entry.

## ◆ get_current_icon_drag_source()

int Gtk::Entry::get_current_icon_drag_source | ( |  | ) |

Returns the index of the icon which is the source of the current DND operation, or -1.

This function is meant to be used in a Gtk::Widget::signal_drag_data_get() callback.

Since gtkmm 2.16:

Returns
  Index of the icon which is the source of the current DND operation, or -1.

## ◆ get_cursor_hadjustment() [1/2]

Adjustment* Gtk::Entry::get_cursor_hadjustment | ( |  | ) |

Retrieves the horizontal cursor adjustment for the entry.

See set_cursor_hadjustment().

Since gtkmm 2.12:

Returns
  The horizontal cursor adjustment, or `nullptr` if none has been set.

## ◆ get_cursor_hadjustment() [2/2]

const Adjustment* Gtk::Entry::get_cursor_hadjustment | ( |  | ) | const

Retrieves the horizontal cursor adjustment for the entry.

See set_cursor_hadjustment().

Since gtkmm 2.12:

Returns
  The horizontal cursor adjustment, or `nullptr` if none has been set.

## ◆ get_has_frame()

bool Gtk::Entry::get_has_frame | ( |  | ) | const

Gets the value set by set_has_frame().

Returns
  Whether the entry has a beveled frame.

## ◆ get_icon_activatable()

bool Gtk::Entry::get_icon_activatable | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Returns whether the icon is activatable.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  `true` if the icon is activatable.

## ◆ get_icon_at_pos()

int Gtk::Entry::get_icon_at_pos | ( | int | x,
|  | int | y
| ) |  | const

Finds the icon at the given position and return its index.

If x, y doesn't lie inside an icon, -1 is returned. This function is intended for use in a Gtk::Widget::signal_query_tooltip() signal handler.

Since gtkmm 2.16:

Parameters

  x | The x coordinate of the position to find.
  y | The y coordinate of the position to find.

Returns
  The index of the icon at the given position, or -1.

## ◆ get_icon_gicon() [1/2]

Glib::RefPtr<Gio::Icon> Gtk::Entry::get_icon_gicon | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) |

Retrieves the Icon used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by stock, pixbuf, or icon name).

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A Icon, or `nullptr` if no icon is set or if the icon is not a Icon.

## ◆ get_icon_gicon() [2/2]

Glib::RefPtr<const Gio::Icon> Gtk::Entry::get_icon_gicon | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Retrieves the Icon used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by stock, pixbuf, or icon name).

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A Icon, or `nullptr` if no icon is set or if the icon is not a Icon.

## ◆ get_icon_name()

Glib::ustring Gtk::Entry::get_icon_name | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Retrieves the icon name used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by pixbuf, stock or gicon).

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  An icon name, or `nullptr` if no icon is set or if the icon wasn't set from an icon name.

## ◆ get_icon_pixbuf() [1/2]

Glib::RefPtr<Gdk::Pixbuf> Gtk::Entry::get_icon_pixbuf | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) |

Retrieves the image used for the icon.

Unlike the other methods of setting and getting icon data, this method will work regardless of whether the icon was set using a Gdk::Pixbuf, a Icon, a stock item, or an icon name.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A Gdk::Pixbuf, or `nullptr` if no icon is set for this position.

## ◆ get_icon_pixbuf() [2/2]

Glib::RefPtr<const Gdk::Pixbuf> Gtk::Entry::get_icon_pixbuf | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Retrieves the image used for the icon.

Unlike the other methods of setting and getting icon data, this method will work regardless of whether the icon was set using a Gdk::Pixbuf, a Icon, a stock item, or an icon name.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A Gdk::Pixbuf, or `nullptr` if no icon is set for this position.

## ◆ get_icon_sensitive()

bool Gtk::Entry::get_icon_sensitive | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) |

Returns whether the icon appears sensitive or insensitive.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  `true` if the icon is sensitive.

## ◆ get_icon_stock()

StockID Gtk::Entry::get_icon_stock | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Retrieves the stock id used for the icon, or `nullptr` if there is no icon or if the icon was set by some other method (e.g., by pixbuf, icon name or gicon).

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  A stock id, or `nullptr` if no icon is set or if the icon wasn't set from a stock id.

## ◆ get_icon_storage_type()

ImageType Gtk::Entry::get_icon_storage_type | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Gets the type of representation being used by the icon to store image data.

If the icon has no image data, the return value will be Gtk::IMAGE_EMPTY.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.

Returns
  Image representation being used.

## ◆ get_icon_tooltip_markup()

Glib::ustring Gtk::Entry::get_icon_tooltip_markup | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Gets the contents of the tooltip on the icon at the specified position in entry.

Since gtkmm 2.16:

Parameters

  icon_pos | The icon position.

Returns
  The tooltip text, or `nullptr`.

## ◆ get_icon_tooltip_text()

Glib::ustring Gtk::Entry::get_icon_tooltip_text | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Gets the contents of the tooltip on the icon at the specified position in entry.

Since gtkmm 2.16:

Parameters

  icon_pos | The icon position.

Returns
  The tooltip text, or `nullptr`.

## ◆ get_icon_window() [1/2]

Glib::RefPtr<Gdk::Window> Gtk::Entry::get_icon_window | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) |

Returns the Gdk::Window which contains the entry's icon at icon_pos.

This function is useful when drawing something to the entry in an expose-event callback because it enables the callback to distinguish between the text window and entry's icon windows.

See also get_text_window().

Since gtkmm 2.20:

Parameters

  icon_pos | Icon position.

Returns
  The entry's icon window at icon_pos.

## ◆ get_icon_window() [2/2]

Glib::RefPtr<const Gdk::Window> Gtk::Entry::get_icon_window | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY` | ) | const

Returns the Gdk::Window which contains the entry's icon at icon_pos.

This function is useful when drawing something to the entry in an expose-event callback because it enables the callback to distinguish between the text window and entry's icon windows.

See also get_text_window().

Since gtkmm 2.20:

Parameters

  icon_pos | Icon position.

Returns
  The entry's icon window at icon_pos.

## ◆ get_inner_border()

Border Gtk::Entry::get_inner_border | ( |  | ) | const

This function returns the entry's Gtk::Entry::property_inner_border() property.

See set_inner_border() for more information.

Since gtkmm 2.10:

Returns
  The entry's Gtk::Border, or `nullptr` if none was set.

## ◆ get_invisible_char()

gunichar Gtk::Entry::get_invisible_char | ( |  | ) | const

Retrieves the character displayed in place of the real characters for entries with visibility set to false.

See set_invisible_char().

Returns
  The current invisible char, or 0, if the entry does not show invisible text at all.

## ◆ get_layout() [1/2]

Glib::RefPtr<Pango::Layout> Gtk::Entry::get_layout | ( |  | ) |

Gets the Pango::Layout used to display the entry.

The layout is useful to e.g. convert text positions to pixel positions, in combination with get_layout_offsets(). The returned layout is owned by the entry and must not be modified or freed by the caller.

Keep in mind that the layout text may contain a preedit string, so layout_index_to_text_index() and text_index_to_layout_index() are needed to convert byte indices in the layout to byte indices in the entry contents.

Returns
  The Pango::Layout for this entry.

## ◆ get_layout() [2/2]

Glib::RefPtr<const Pango::Layout> Gtk::Entry::get_layout | ( |  | ) | const

Gets the Pango::Layout used to display the entry.

The layout is useful to e.g. convert text positions to pixel positions, in combination with get_layout_offsets(). The returned layout is owned by the entry and must not be modified or freed by the caller.

Keep in mind that the layout text may contain a preedit string, so layout_index_to_text_index() and text_index_to_layout_index() are needed to convert byte indices in the layout to byte indices in the entry contents.

Returns
  The Pango::Layout for this entry.

## ◆ get_layout_offsets()

void Gtk::Entry::get_layout_offsets | ( | int & | x,
|  | int & | y
| ) |  |

Obtains the position of the Pango::Layout used to render text in the entry, in widget coordinates.

Useful if you want to line up the text in an entry with some other text, e.g. when using the entry to implement editable cells in a sheet widget.

Also useful to convert mouse events into coordinates inside the Pango::Layout, e.g. to take some action if some part of the entry text is clicked.

Note that as the user scrolls around in the entry the offsets will change; you'll need to connect to the "notify::scroll-offset" signal to track this. Remember when using the Pango::Layout functions you need to convert to and from pixels using PANGO_PIXELS() or Pango::SCALE.

Keep in mind that the layout text may contain a preedit string, so layout_index_to_text_index() and text_index_to_layout_index() are needed to convert byte indices in the layout to byte indices in the entry contents.

Parameters

  x | Location to store X offset of layout, or `nullptr`.
  y | Location to store Y offset of layout, or `nullptr`.

## ◆ get_max_length()

int Gtk::Entry::get_max_length | ( |  | ) | const

Retrieves the maximum allowed length of the text in entry.

See set_max_length().

This is equivalent to:

[C example ellipted]

Returns
  The maximum allowed number of characters in Gtk::Entry, or 0 if there is no maximum.

## ◆ get_overwrite_mode()

bool Gtk::Entry::get_overwrite_mode | ( |  | ) | const

Gets the value set by set_overwrite_mode().

Since gtkmm 2.14:

Returns
  Whether the text is overwritten when typing.

## ◆ get_progress_fraction()

double Gtk::Entry::get_progress_fraction | ( |  | ) | const

Returns the current fraction of the task that's been completed.

See set_progress_fraction().

Since gtkmm 2.16:

Returns
  A fraction from 0.0 to 1.0.

## ◆ get_progress_pulse_step()

double Gtk::Entry::get_progress_pulse_step | ( |  | ) |

Retrieves the pulse step set with set_progress_pulse_step().

Since gtkmm 2.16:

Returns
  A fraction from 0.0 to 1.0.

## ◆ get_text()

Glib::ustring Gtk::Entry::get_text | ( |  | ) | const

Retrieves the contents of the entry widget.

See also Gtk::Editable::get_chars().

Returns
  The contents of the entry widget.

## ◆ get_text_length()

guint16 Gtk::Entry::get_text_length | ( |  | ) | const

Retrieves the current length of the text in entry.

This is equivalent to:

[C example ellipted]

Since gtkmm 2.14:

Returns
  The current number of characters in Gtk::Entry, or 0 if there are none.

## ◆ get_text_window() [1/2]

Glib::RefPtr<Gdk::Window> Gtk::Entry::get_text_window | ( |  | ) |

Returns the Gdk::Window which contains the text.

This function is useful when drawing something to the entry in an expose-event callback because it enables the callback to distinguish between the text window and entry's icon windows.

See also get_icon_window().

Since gtkmm 2.20:

Returns
  The entry's text window.

## ◆ get_text_window() [2/2]

Glib::RefPtr<const Gdk::Window> Gtk::Entry::get_text_window | ( |  | ) | const

Returns the Gdk::Window which contains the text.

This function is useful when drawing something to the entry in an expose-event callback because it enables the callback to distinguish between the text window and entry's icon windows.

See also get_icon_window().

Since gtkmm 2.20:

Returns
  The entry's text window.

## ◆ get_visibility()

bool Gtk::Entry::get_visibility | ( |  | ) | const

Retrieves whether the text in entry is visible.

See set_visibility().

Returns
  `true` if the text is currently visible.

## ◆ get_width_chars()

int Gtk::Entry::get_width_chars | ( |  | ) | const

Gets the value set by set_width_chars().

Returns
  Number of chars to request space for, or negative if unset.

## ◆ gobj() [1/2]

GtkEntry* Gtk::Entry::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

## ◆ gobj() [2/2]

const GtkEntry* Gtk::Entry::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

## ◆ im_context_filter_keypress()

bool Gtk::Entry::im_context_filter_keypress | ( | GdkEventKey * | event | ) |

Allow the Gtk::Entry input method to internally handle key press and release events.

If this function returns `true`, then no further processing should be done for this key event. See gtk_im_context_filter_keypress().

Note that you are expected to call this function from your handler when overriding key event handling. This is needed in the case when you need to insert your own key handling between the input method and the default key event handling of the Gtk::Entry. See Gtk::TextView::reset_im_context() for an example of use.

Since gtkmm 2.22:

Parameters

  event | The key event.

Returns
  `true` if the input method handled the key event.

## ◆ layout_index_to_text_index()

int Gtk::Entry::layout_index_to_text_index | ( | int | layout_index | ) | const

Converts from a position in the entry contents (returned by get_text()) to a position in the entry's Pango::Layout (returned by get_layout(), with text retrieved via pango_layout_get_text()).

Parameters

  layout_index | Byte index into the entry layout text.

Returns
  Byte index into the entry contents.

## ◆ on_activate()

virtual void Gtk::Entry::on_activate | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_activate().

## ◆ on_insert_at_cursor()

virtual void Gtk::Entry::on_insert_at_cursor | ( | const Glib::ustring & | str | ) |
| protectedvirtual

This is a default handler for the signal signal_insert_at_cursor().

## ◆ on_populate_popup()

virtual void Gtk::Entry::on_populate_popup | ( | Menu* | menu | ) |
| protectedvirtual

This is a default handler for the signal signal_populate_popup().

## ◆ progress_pulse()

void Gtk::Entry::progress_pulse | ( |  | ) |

Indicates that some progress is made, but you don't know how much.

Causes the entry's progress indicator to enter "activity mode," where a block bounces back and forth. Each call to progress_pulse() causes the block to move by a little bit (the amount of movement per pulse is determined by set_progress_pulse_step()).

Since gtkmm 2.16:

## ◆ property_activates_default() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_activates_default | ( |  | ) |

Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activates_default() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_activates_default | ( |  | ) | const

Whether to activate the default widget (such as the default button in a dialog) when Enter is pressed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_buffer() [1/2]

Glib::PropertyProxy< Glib::RefPtr<EntryBuffer> > Gtk::Entry::property_buffer | ( |  | ) |

Text buffer object which actually stores entry text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_buffer() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<EntryBuffer> > Gtk::Entry::property_buffer | ( |  | ) | const

Text buffer object which actually stores entry text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_caps_lock_warning() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_caps_lock_warning | ( |  | ) |

Whether password entries will show a warning when Caps Lock is on.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_caps_lock_warning() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_caps_lock_warning | ( |  | ) | const

Whether password entries will show a warning when Caps Lock is on.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_cursor_position()

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_cursor_position | ( |  | ) | const

The current position of the insertion cursor in chars.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_editable | ( |  | ) |

Whether the entry contents can be edited.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_editable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_editable | ( |  | ) | const

Whether the entry contents can be edited.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_frame() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_has_frame | ( |  | ) |

`false` removes outside bevel from entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_has_frame() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_has_frame | ( |  | ) | const

`false` removes outside bevel from entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_im_module() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_im_module | ( |  | ) |

Which IM module should be used.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_im_module() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_im_module | ( |  | ) | const

Which IM module should be used.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_inner_border() [1/2]

Glib::PropertyProxy< Border > Gtk::Entry::property_inner_border | ( |  | ) |

Border between text and frame.

Overrides the inner-border style property.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_inner_border() [2/2]

Glib::PropertyProxy_ReadOnly< Border > Gtk::Entry::property_inner_border | ( |  | ) | const

Border between text and frame.

Overrides the inner-border style property.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char() [1/2]

Glib::PropertyProxy< gunichar > Gtk::Entry::property_invisible_char | ( |  | ) |

The character to use when masking entry contents (in 'password mode').

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char() [2/2]

Glib::PropertyProxy_ReadOnly< gunichar > Gtk::Entry::property_invisible_char | ( |  | ) | const

The character to use when masking entry contents (in 'password mode').

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char_set() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_invisible_char_set | ( |  | ) |

Whether the invisible char has been set.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_invisible_char_set() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_invisible_char_set | ( |  | ) | const

Whether the invisible char has been set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_length() [1/2]

Glib::PropertyProxy< int > Gtk::Entry::property_max_length | ( |  | ) |

Maximum number of characters for this entry.

Zero if no maximum.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_max_length() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_max_length | ( |  | ) | const

Maximum number of characters for this entry.

Zero if no maximum.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_overwrite_mode() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_overwrite_mode | ( |  | ) |

Whether new text overwrites existing text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_overwrite_mode() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_overwrite_mode | ( |  | ) | const

Whether new text overwrites existing text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_activatable() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_activatable | ( |  | ) |

Whether the primary icon is activatable.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_activatable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_activatable | ( |  | ) | const

Whether the primary icon is activatable.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_gicon() [1/2]

Glib::PropertyProxy< Glib::RefPtr<Gio::Icon> > Gtk::Entry::property_primary_icon_gicon | ( |  | ) |

GIcon for primary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_gicon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::Icon> > Gtk::Entry::property_primary_icon_gicon | ( |  | ) | const

GIcon for primary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_primary_icon_name | ( |  | ) |

Icon name for primary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_primary_icon_name | ( |  | ) | const

Icon name for primary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_pixbuf() [1/2]

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > Gtk::Entry::property_primary_icon_pixbuf | ( |  | ) |

Primary pixbuf for the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_pixbuf() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > Gtk::Entry::property_primary_icon_pixbuf | ( |  | ) | const

Primary pixbuf for the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_sensitive() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_sensitive | ( |  | ) |

Whether the primary icon is sensitive.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_sensitive() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_sensitive | ( |  | ) | const

Whether the primary icon is sensitive.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_stock() [1/2]

Glib::PropertyProxy< StockID > Gtk::Entry::property_primary_icon_stock | ( |  | ) |

Stock ID for primary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_stock() [2/2]

Glib::PropertyProxy_ReadOnly< StockID > Gtk::Entry::property_primary_icon_stock | ( |  | ) | const

Stock ID for primary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_storage_type()

Glib::PropertyProxy_ReadOnly< ImageType > Gtk::Entry::property_primary_icon_storage_type | ( |  | ) | const

The representation being used for primary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_markup() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_tooltip_markup | ( |  | ) |

The contents of the tooltip on the primary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_markup() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_tooltip_markup | ( |  | ) | const

The contents of the tooltip on the primary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_text() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_primary_icon_tooltip_text | ( |  | ) |

The contents of the tooltip on the primary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_primary_icon_tooltip_text() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_primary_icon_tooltip_text | ( |  | ) | const

The contents of the tooltip on the primary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_fraction() [1/2]

Glib::PropertyProxy< double > Gtk::Entry::property_progress_fraction | ( |  | ) |

The current fraction of the task that's been completed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_fraction() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::Entry::property_progress_fraction | ( |  | ) | const

The current fraction of the task that's been completed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_pulse_step() [1/2]

Glib::PropertyProxy< double > Gtk::Entry::property_progress_pulse_step | ( |  | ) |

The fraction of total entry width to move the progress bouncing block for each call to Gtk::Entry::progress_pulse().

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_progress_pulse_step() [2/2]

Glib::PropertyProxy_ReadOnly< double > Gtk::Entry::property_progress_pulse_step | ( |  | ) | const

The fraction of total entry width to move the progress bouncing block for each call to Gtk::Entry::progress_pulse().

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_scroll_offset()

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_scroll_offset | ( |  | ) | const

Number of pixels of the entry scrolled off the screen to the left.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_activatable() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_activatable | ( |  | ) |

Whether the secondary icon is activatable.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_activatable() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_activatable | ( |  | ) | const

Whether the secondary icon is activatable.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_gicon() [1/2]

Glib::PropertyProxy< Glib::RefPtr<Gio::Icon> > Gtk::Entry::property_secondary_icon_gicon | ( |  | ) |

GIcon for secondary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_gicon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gio::Icon> > Gtk::Entry::property_secondary_icon_gicon | ( |  | ) | const

GIcon for secondary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_name() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_secondary_icon_name | ( |  | ) |

Icon name for secondary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_name() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_secondary_icon_name | ( |  | ) | const

Icon name for secondary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_pixbuf() [1/2]

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > Gtk::Entry::property_secondary_icon_pixbuf | ( |  | ) |

Secondary pixbuf for the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_pixbuf() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > Gtk::Entry::property_secondary_icon_pixbuf | ( |  | ) | const

Secondary pixbuf for the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_sensitive() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_sensitive | ( |  | ) |

Whether the secondary icon is sensitive.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_sensitive() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_sensitive | ( |  | ) | const

Whether the secondary icon is sensitive.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_stock() [1/2]

Glib::PropertyProxy< StockID > Gtk::Entry::property_secondary_icon_stock | ( |  | ) |

Stock ID for secondary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_stock() [2/2]

Glib::PropertyProxy_ReadOnly< StockID > Gtk::Entry::property_secondary_icon_stock | ( |  | ) | const

Stock ID for secondary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_storage_type()

Glib::PropertyProxy_ReadOnly< ImageType > Gtk::Entry::property_secondary_icon_storage_type | ( |  | ) | const

The representation being used for secondary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_markup() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_tooltip_markup | ( |  | ) |

The contents of the tooltip on the secondary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_markup() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_tooltip_markup | ( |  | ) | const

The contents of the tooltip on the secondary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_text() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_secondary_icon_tooltip_text | ( |  | ) |

The contents of the tooltip on the secondary icon.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_secondary_icon_tooltip_text() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_secondary_icon_tooltip_text | ( |  | ) | const

The contents of the tooltip on the secondary icon.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_selection_bound()

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_selection_bound | ( |  | ) | const

The position of the opposite end of the selection from the cursor in chars.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_shadow_type() [1/2]

Glib::PropertyProxy< ShadowType > Gtk::Entry::property_shadow_type | ( |  | ) |

Which kind of shadow to draw around the entry when has-frame is set.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_shadow_type() [2/2]

Glib::PropertyProxy_ReadOnly< ShadowType > Gtk::Entry::property_shadow_type | ( |  | ) | const

Which kind of shadow to draw around the entry when has-frame is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [1/2]

Glib::PropertyProxy< Glib::ustring > Gtk::Entry::property_text | ( |  | ) |

The contents of the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gtk::Entry::property_text | ( |  | ) | const

The contents of the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text_length()

Glib::PropertyProxy_ReadOnly< guint > Gtk::Entry::property_text_length | ( |  | ) | const

Length of the text currently in the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_truncate_multiline() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_truncate_multiline | ( |  | ) |

Whether to truncate multiline pastes to one line.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_truncate_multiline() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_truncate_multiline | ( |  | ) | const

Whether to truncate multiline pastes to one line.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_visibility() [1/2]

Glib::PropertyProxy< bool > Gtk::Entry::property_visibility | ( |  | ) |

`false` displays the 'invisible char' instead of the actual text (password mode).

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_visibility() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::Entry::property_visibility | ( |  | ) | const

`false` displays the 'invisible char' instead of the actual text (password mode).

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_width_chars() [1/2]

Glib::PropertyProxy< int > Gtk::Entry::property_width_chars | ( |  | ) |

Number of characters to leave space for in the entry.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_width_chars() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::Entry::property_width_chars | ( |  | ) | const

Number of characters to leave space for in the entry.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_xalign() [1/2]

Glib::PropertyProxy< float > Gtk::Entry::property_xalign | ( |  | ) |

The horizontal alignment, from 0 (left) to 1 (right).

Reversed for RTL layouts.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_xalign() [2/2]

Glib::PropertyProxy_ReadOnly< float > Gtk::Entry::property_xalign | ( |  | ) | const

The horizontal alignment, from 0 (left) to 1 (right).

Reversed for RTL layouts.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ reset_im_context()

void Gtk::Entry::reset_im_context | ( |  | ) |

Reset the input method context of the entry if needed.

This can be necessary in the case where modifying the buffer would confuse on-going input method behavior.

Since gtkmm 2.22:

## ◆ set_activates_default()

void Gtk::Entry::set_activates_default | ( | bool | setting = `true` | ) |

If setting is `true`, pressing Enter in the entry will activate the default widget for the window containing the entry.

This usually means that the dialog box containing the entry will be closed, since the default widget is usually one of the dialog buttons.

(For experts: if setting is `true`, the entry calls Gtk::Window::activate_default() on the window containing the entry, in the default handler for the Gtk::Widget::signal_activate() signal.)

Parameters

  setting | `true` to activate window's default widget on Enter keypress.

## ◆ set_alignment() [1/2]

void Gtk::Entry::set_alignment | ( | float | xalign | ) |

Sets the alignment for the contents of the entry.

This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the entry.

Since gtkmm 2.4:

Parameters

  xalign | The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

## ◆ set_alignment() [2/2]

void Gtk::Entry::set_alignment | ( | AlignmentEnum | xalign | ) |

Sets the alignment for the contents of the entry.

This controls the horizontal positioning of the contents when the displayed text is shorter than the width of the entry.

Since gtkmm 2.4:

Parameters

  xalign | The horizontal alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

## ◆ set_buffer()

void Gtk::Entry::set_buffer | ( | const Glib::RefPtr< EntryBuffer >& | buffer | ) |

Set the Gtk::EntryBuffer object which holds the text for this widget.

Since gtkmm 2.18:

Parameters

  buffer | A Gtk::EntryBuffer.

## ◆ set_completion()

void Gtk::Entry::set_completion | ( | const Glib::RefPtr< EntryCompletion >& | completion | ) |

Sets completion to be the auxiliary completion object to use with entry.

All further configuration of the completion mechanism is done on completion using the Gtk::EntryCompletion API. Completion is disabled if completion is set to `nullptr`.

Since gtkmm 2.4:

Parameters

  completion | The Gtk::EntryCompletion or `nullptr`.

## ◆ set_cursor_hadjustment()

void Gtk::Entry::set_cursor_hadjustment | ( | Adjustment& | adjustment | ) |

Hooks up an adjustment to the cursor position in an entry, so that when the cursor is moved, the adjustment is scrolled to show that position.

See Gtk::ScrolledWindow::get_hadjustment() for a typical way of obtaining the adjustment.

The adjustment has to be in pixel units and in the same coordinate system as the entry.

Since gtkmm 2.12:

Parameters

  adjustment | An adjustment which should be adjusted when the cursor is moved, or `nullptr`.

## ◆ set_has_frame()

void Gtk::Entry::set_has_frame | ( | bool | setting = `true` | ) |

Sets whether the entry has a beveled frame around it.

Parameters

  setting | New value.

## ◆ set_icon_activatable()

void Gtk::Entry::set_icon_activatable | ( | bool | activatable = `true`,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets whether the icon is activatable.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  activatable | `true` if the icon should be activatable.

## ◆ set_icon_drag_source()

void Gtk::Entry::set_icon_drag_source | ( | const Glib::RefPtr< TargetList >& | target_list,
|  | Gdk::DragAction | actions = `Gdk::ACTION_COPY`,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets up the icon at the given position so that GTK+ will start a drag operation when the user clicks and drags the icon.

To handle the drag operation, you need to connect to the usual Gtk::Widget::signal_drag_data_get() (or possibly Gtk::Widget::signal_drag_data_delete()) signal, and use get_current_icon_drag_source() in your signal handler to find out if the drag was started from an icon.

By default, GTK+ uses the icon as the drag icon. You can use the Gtk::Widget::signal_drag_begin() signal to set a different icon. Note that you have to use Glib::signal_connect_after() to ensure that your signal handler gets executed after the default handler.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  target_list | The targets (data formats) in which the data can be provided.
  actions | A bitmask of the allowed drag actions.

## ◆ set_icon_from_gicon()

void Gtk::Entry::set_icon_from_gicon | ( | const Glib::RefPtr< Gio::Icon > & | icon,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets the icon shown in the entry at the specified position from the current icon theme.

If the icon isn't known, a "broken image" icon will be displayed instead.

If icon is `nullptr`, no icon will be shown in the specified position.

Since gtkmm 2.16:

Parameters

  icon_pos | The position at which to set the icon.
  icon | The icon to set, or `nullptr`.

## ◆ set_icon_from_icon_name()

void Gtk::Entry::set_icon_from_icon_name | ( | const Glib::ustring & | icon_name,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets the icon shown in the entry at the specified position from the current icon theme.

If the icon name isn't known, a "broken image" icon will be displayed instead.

If icon_name is `nullptr`, no icon will be shown in the specified position.

Since gtkmm 2.16:

Parameters

  icon_pos | The position at which to set the icon.
  icon_name | An icon name, or `nullptr`.

## ◆ set_icon_from_pixbuf()

void Gtk::Entry::set_icon_from_pixbuf | ( | const Glib::RefPtr< Gdk::Pixbuf >& | pixbuf,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets the icon shown in the specified position using a pixbuf.

If pixbuf is `nullptr`, no icon will be shown in the specified position.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  pixbuf | A Gdk::Pixbuf, or `nullptr`.

## ◆ set_icon_from_stock()

void Gtk::Entry::set_icon_from_stock | ( | const StockID& | stock_id,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets the icon shown in the entry at the specified position from a stock image.

If stock_id is `nullptr`, no icon will be shown in the specified position.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  stock_id | The name of the stock item, or `nullptr`.

## ◆ set_icon_sensitive()

void Gtk::Entry::set_icon_sensitive | ( | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`,
|  | bool | sensitive = `true`
| ) |  |

Sets the sensitivity for the specified icon.

Since gtkmm 2.16:

Parameters

  icon_pos | Icon position.
  sensitive | Specifies whether the icon should appear sensitive or insensitive.

## ◆ set_icon_tooltip_markup()

void Gtk::Entry::set_icon_tooltip_markup | ( | const Glib::ustring & | tooltip,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets tooltip as the contents of the tooltip for the icon at the specified position.

tooltip is assumed to be marked up with the Pango text markup language.

Use `nullptr` for tooltip to remove an existing tooltip.

See also Gtk::Widget::set_tooltip_markup() and gtk_enty_set_icon_tooltip_text().

Since gtkmm 2.16:

Parameters

  icon_pos | The icon position.
  tooltip | The contents of the tooltip for the icon, or `nullptr`.

## ◆ set_icon_tooltip_text()

void Gtk::Entry::set_icon_tooltip_text | ( | const Glib::ustring & | tooltip,
|  | EntryIconPosition | icon_pos = `ENTRY_ICON_PRIMARY`
| ) |  |

Sets tooltip as the contents of the tooltip for the icon at the specified position.

Use `nullptr` for tooltip to remove an existing tooltip.

See also Gtk::Widget::set_tooltip_text() and set_icon_tooltip_markup().

Since gtkmm 2.16:

Parameters

  icon_pos | The icon position.
  tooltip | The contents of the tooltip for the icon, or `nullptr`.

## ◆ set_inner_border()

void Gtk::Entry::set_inner_border | ( | const Border& | border | ) |

Sets entry's inner-border property to border, or clears it if `nullptr` is passed.

The inner-border is the area around the entry's text, but inside its frame.

If set, this property overrides the inner-border style property. Overriding the style-provided border is useful when you want to do in-place editing of some text in a canvas or list widget, where pixel-exact positioning of the entry is important.

Since gtkmm 2.10:

Parameters

  border | A Gtk::Border, or `nullptr`.

## ◆ set_invisible_char()

void Gtk::Entry::set_invisible_char | ( | gunichar | ch | ) |

Sets the character to use in place of the actual text when set_visibility() has been called to set text visibility to `false`.

i.e. this is the character used in "password mode" to show the user how many characters have been typed. By default, GTK+ picks the best invisible char available in the current font. If you set the invisible char to 0, then the user will get no feedback at all; there will be no text on the screen as they type.

Parameters

  ch | A Unicode character.

## ◆ set_max_length()

void Gtk::Entry::set_max_length | ( | int | max | ) |

Sets the maximum allowed length of the contents of the widget.

If the current contents are longer than the given length, then they will be truncated to fit.

This is equivalent to:

[C example ellipted]

Parameters

  max | The maximum length of the entry, or 0 for no maximum. (other than the maximum length of entries.) The value passed in will be clamped to the range 0-65536.

## ◆ set_overwrite_mode()

void Gtk::Entry::set_overwrite_mode | ( | bool | overwrite = `true` | ) |

Sets whether the text is overwritten when typing in the Gtk::Entry.

Since gtkmm 2.14:

Parameters

  overwrite | New value.

## ◆ set_progress_fraction()

void Gtk::Entry::set_progress_fraction | ( | double | fraction | ) |

Causes the entry's progress indicator to "fill in" the given fraction of the bar.

The fraction should be between 0.0 and 1.0, inclusive.

Since gtkmm 2.16:

Parameters

  fraction | Fraction of the task that's been completed.

## ◆ set_progress_pulse_step()

void Gtk::Entry::set_progress_pulse_step | ( | double | fraction | ) |

Sets the fraction of total entry width to move the progress bouncing block for each call to progress_pulse().

Since gtkmm 2.16:

Parameters

  fraction | Fraction between 0.0 and 1.0.

## ◆ set_text()

void Gtk::Entry::set_text | ( | const Glib::ustring & | text | ) |

Sets the text in the widget to the given value, replacing the current contents.

See Gtk::EntryBuffer::set_text().

Parameters

  text | The new text.

## ◆ set_visibility()

void Gtk::Entry::set_visibility | ( | bool | visible = `true` | ) |

Sets whether the contents of the entry are visible or not.

When visibility is set to `false`, characters are displayed as the invisible char, and will also appear that way when the text in the entry widget is copied elsewhere.

By default, GTK+ picks the best invisible character available in the current font, but it can be changed with set_invisible_char().

Parameters

  visible | `true` if the contents of the entry are displayed as plaintext.

## ◆ set_width_chars()

void Gtk::Entry::set_width_chars | ( | int | n_chars | ) |

Changes the size request of the entry to be about the right size for n_chars characters.

Note that it changes the size request, the size can still be affected by how you pack the widget into containers. If n_chars is -1, the size reverts to the default entry size.

Parameters

  n_chars | Width in chars.

## ◆ signal_activate()

Glib::SignalProxy< void > Gtk::Entry::signal_activate | ( |  | ) |

Slot Prototype:
  `void on_my_activate()`

Flags: Run Last

## ◆ signal_icon_press()

Glib::SignalProxy< void,EntryIconPosition,const GdkEventButton* > Gtk::Entry::signal_icon_press | ( |  | ) |

Slot Prototype:
  `void on_my_icon_press(EntryIconPosition icon_position, const GdkEventButton* event)`

Flags: Run Last

## ◆ signal_icon_release()

Glib::SignalProxy< void,EntryIconPosition,const GdkEventButton* > Gtk::Entry::signal_icon_release | ( |  | ) |

Slot Prototype:
  `void on_my_icon_release(EntryIconPosition icon_position, const GdkEventButton* event)`

Flags: Run Last

## ◆ signal_insert_at_cursor()

Glib::SignalProxy< void,const Glib::ustring& > Gtk::Entry::signal_insert_at_cursor | ( |  | ) |

Slot Prototype:
  `void on_my_insert_at_cursor(const Glib::ustring& str)`

Flags: Run Last

## ◆ signal_populate_popup()

Glib::SignalProxy< void,Menu* > Gtk::Entry::signal_populate_popup | ( |  | ) |

Slot Prototype:
  `void on_my_populate_popup(Menu* menu)`

Flags: Run Last

## ◆ text_index_to_layout_index()

int Gtk::Entry::text_index_to_layout_index | ( | int | text_index | ) | const

Converts from a position in the entry's Pango::Layout (returned by get_layout()) to a position in the entry contents (returned by get_text()).

Parameters

  text_index | Byte index into the entry contents.

Returns
  Byte index into the entry layout text.

## ◆ unset_invisible_char()

void Gtk::Entry::unset_invisible_char | ( |  | ) |

Unsets the invisible char previously set with set_invisible_char().

So that the default invisible char is used again.

Since gtkmm 2.16:

## Friends And Related Function Documentation

## ◆ wrap()

Gtk::Entry* wrap | ( | GtkEntry * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/entry.h